__package__    = "modestMMarkers/maps/__init__.py"
__version__    = "0.1"
__author__     = "Aaron Straup Cope"
__url__        = "http://www.aaronland.info/python/modestMMarkers"
__date__       = "$Date: 2009/04/24 16:08:49 $"
__copyright__  = "Copyright (c) 2009 Aaron Straup Cope. BSD license : http://www.modestmaps.com/license.txt"

# $Id: __init__.py,v 1.3 2009/04/24 16:08:49 asc Exp $

from modestMMarkers import polylines
import ModestMaps

def mk_navi_map (bbox, ctx, w, h, provider='OPEN_STREET_MAP') :

    provider = ModestMaps.builtinProviders[provider]()
    sw = ModestMaps.Geo.Location(bbox[0], bbox[1])
    ne = ModestMaps.Geo.Location(bbox[2], bbox[3])        

    # 

    dims = ModestMaps.Core.Point(w, h)
    mm_obj = ModestMaps.mapByExtent(provider, sw, ne, dims)
    mm_img = mm_obj.draw()
    
    p = polylines.polyline(mm_obj)
            
    return p.draw_polylines(mm_img, [ctx], colour=(.005, 0, 1))
